-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/raidbuffstatus/localization/

local addonName, vars = ...
local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

vars.L = setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
})

Ld["Crit Buff"] = "Crit Buff"
Ld["Mastery Buff"] = "Mastery Buff"
Ld["Spellpower Buff"] = "Spellpower Buff"
Ld["Stat Buff"] = "Stat Buff"


if locale == "frFR" then do end
La["Crit Buff"] = "Buff Coup critique"
La["Mastery Buff"] = "Buff Maîtrise"
La["Spellpower Buff"] = "Buff Puissance des sorts"
La["Stat Buff"] = "Buff Carac."

elseif locale == "deDE" then do end
La["Crit Buff"] = "Kritischer Treffer Buff"
La["Mastery Buff"] = "Meisterschaft Buff"
La["Spellpower Buff"] = "Zaubermacht Buff"
La["Stat Buff"] = "Werte Buff"

elseif locale == "koKR" then do end
-- La["Crit Buff"] = ""
-- La["Mastery Buff"] = ""
-- La["Spellpower Buff"] = ""
-- La["Stat Buff"] = ""

elseif locale == "esMX" then do end
-- La["Crit Buff"] = ""
-- La["Mastery Buff"] = ""
-- La["Spellpower Buff"] = ""
-- La["Stat Buff"] = ""

elseif locale == "ruRU" then do end
La["Crit Buff"] = "Бафф на шанс крита"
La["Mastery Buff"] = "Бафф на искусность"
La["Spellpower Buff"] = "Бафф на спд"
La["Stat Buff"] = "Бафф на статы"

elseif locale == "zhCN" then do end
-- La["Crit Buff"] = ""
-- La["Mastery Buff"] = ""
-- La["Spellpower Buff"] = ""
-- La["Stat Buff"] = ""

elseif locale == "esES" then do end
-- La["Crit Buff"] = ""
-- La["Mastery Buff"] = ""
-- La["Spellpower Buff"] = ""
-- La["Stat Buff"] = ""

elseif locale == "zhTW" then do end
-- La["Crit Buff"] = ""
-- La["Mastery Buff"] = ""
-- La["Spellpower Buff"] = ""
-- La["Stat Buff"] = ""

elseif locale == "ptBR" then do end
-- La["Crit Buff"] = ""
-- La["Mastery Buff"] = ""
-- La["Spellpower Buff"] = ""
-- La["Stat Buff"] = ""

elseif locale == "itIT" then do end
-- La["Crit Buff"] = ""
-- La["Mastery Buff"] = ""
-- La["Spellpower Buff"] = ""
-- La["Stat Buff"] = ""

end
